export default class Query {
    private _etiquetas;
    private _descripcion;
    private _modificadores;
    private _query;
    private _queryGenerador;
    constructor(query: string);
    readonly etiquetas: string[];
    readonly descripcion: string[];
    readonly query: string;
    readonly queryGenerador: string;
    /**
     * Método para obtener las etiquetas de un search query
     * @param query
     */
    parseQueryEtiquetas(query: string): string[];
    /**
     * Metodo para obtener la descripcion de las etiquetas
     *
     * @param {string} query
     * @returns {string[]}
     * @memberof Query
     */
    parseQueryDescripcion(query: string): string[];
    parseQueryModificador(query: string): string[];
    /**
     * Construye el query de busqueda
     *
     * @param {string[]} etiquetas
     * @param {string[]} descripcion
     * @param {string[]} modificadores
     * @returns {string}
     * @memberof Query
     */
    construccionQuery(etiquetas: string[], descripcion: string[], modificadores: string[]): string;
    /**
     * Genera el query de busqueda a partir de un string
     *
     * @param {string} query
     * @returns {Query}
     * @memberof Query
     */
    addQuery(query: string): Query;
}
